# sage-virtual-pages

https://discourse.roots.io/t/how-to-add-a-virtual-page-with-sage-10/23704

## Features

* ✅ Quickly add virtual pages with Blade templates
* ❌ Sitemaps support (coming soon)
* Supported SEO plugins:
  * ✅ The SEO Framework
  * ❌ Yoast (coming soon)

## Installation

You might need to add a GitHub oAuth token to Composer if you don't already have one set.

Since this is a private repo, update the repositories in Bedrock's `composer.json`:

```json
  "repositories": [
    {
      "type": "composer",
      "url": "https://wpackagist.org",
      "only": ["wpackagist-plugin/*", "wpackagist-theme/*"]
    },
    {
      "type": "vcs",
      "url": "git@github.com:roots/sage-virtual-pages.git"
    }
  ],
```

Then add the package: `$ composer require roots/sage-virtual-pages`

## Usage

1. Publish the config: `wp acorn vendor:publish --provider="Roots\SageVirtualPage\Providers\VirtualPageServiceProvider"`
2. Update `config/virtual-pages.php`
3. Flush permalinks (`wp rewrite flush`)
4. Add page templates for each virtual page (`resources/views/pages/<slug>.blade.php`)

* * *

## Original resources

* https://metabox.io/how-to-create-a-virtual-page-in-wordpress/
* https://coderwall.com/p/fwea7g/create-wordpress-virtual-page-on-the-fly
* https://gist.github.com/gmazzap/1efe17a8cb573e19c086
* https://wordpress.stackexchange.com/questions/139071/plugin-generated-virtual-pages
* https://barn2.co.uk/create-fake-wordpress-post-fly/
