<?php

namespace Roots\SageVirtualPage\Providers;

use Roots\Acorn\ServiceProvider;
use Roots\SageVirtualPage\VirtualPage;

class VirtualPageServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton('VirtualPage', function () {
            return new VirtualPage($this->app);
        });

        $this->mergeConfigFrom(
            __DIR__.'/../../config/virtual-pages.php',
            'virtual-pages'
        );
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        $this->publishes([
            __DIR__.'/../../config/virtual-pages.php' => $this->app->configPath('virtual-pages.php'),
        ], 'config');

        $this->app->make('VirtualPage');
    }
}
